classification
Title: sunau.getparams should return a namedtuple
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Claudiu.Popa, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-09-01 19:20 by Claudiu.Popa, last changed 2013-09-04 11:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
sunau.patch Claudiu.Popa, 2013-09-01 19:20 review
Messages (4)
msg196729 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2013-09-01 19:20
This is similar to what was done for issue17818 and issue17487 and will gain for all the three audio libraries, aifc, wave and sunau a similar API. Patch and tests attached.
msg196871 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-03 21:43
New changeset 99d26f32aed3 by Serhiy Storchaka in branch 'default':
Issue #18901: The sunau getparams method now returns a namedtuple rather than
http://hg.python.org/cpython/rev/99d26f32aed3
msg196872 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-03 22:04
Thank you Claudiu for your contribution.
msg196902 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-04 11:30
New changeset 61ca4732399b by Serhiy Storchaka in branch 'default':
Issues #18901, #18919: Fix a typo in the _sunau_params name.
http://hg.python.org/cpython/rev/61ca4732399b
History
Date User Action Args
2013-09-04 11:30:36python-devsetmessages: + msg196902
2013-09-03 22:04:36serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg196872

stage: patch review -> resolved
2013-09-03 21:43:38python-devsetnosy: + python-dev
messages: + msg196871
2013-09-03 20:29:39serhiy.storchakasetassignee: serhiy.storchaka

nosy: + serhiy.storchaka
2013-09-01 22:28:41serhiy.storchakasetnosy: + r.david.murray

type: enhancement
stage: patch review
2013-09-01 19:20:23Claudiu.Popacreate